import os
import sys
import PyQt5.QtCore as QtCore
import PyQt5.QtQml as QtQml
import PyQt5.QtQuick as QtQuick
import PyQt5.QtWidgets as QtWidgets

qml = "QuickApp.qml"
win = (sys.platform == "win32")

app = QtWidgets.QApplication(sys.argv)
if win:
    QtCore.QCoreApplication.setAttribute(QtCore.Qt.AA_UseOpenGLES)
engine = QtQml.QQmlApplicationEngine()
if win:
    os.environ["PATH"] += ";C:\\Program Files (x86)\\ArcGIS SDKs\\Qt100.2.1\\sdk\\windows\\x64\\bin\\release"
    #os.environ["PATH"] += ";C:\\Qt\\Qt5.10.1\\5.10.1\\msvc2017_64\\bin"
    engine.addImportPath("C:\\Program Files (x86)\\ArcGIS SDKs\\Qt100.2.1\\sdk\\windows\\x64\\qml")
    engine.addImportPath("C:\\Program Files (x86)\\ArcGIS SDKs\\Qt100.2.1\\sdk\\toolkit\\Import")
else:
    home = os.environ["HOME"]
    engine.addImportPath(home + "/ArcGIS_SDKs/Qt100.2.1/sdk/macOS/x64/qml")
    engine.addImportPath(home + "/ArcGIS_SDKs/Qt100.2.1/sdk/toolkit/Import")
engine.load(QtCore.QUrl("../Qt/RuntimeQML/" + qml))
rootlist = engine.rootObjects()
err = False
if len(rootlist) == 0:
    print("Error loading QML.")
    err = True
else:
    qw = rootlist[0]
    print(type(qw))
    qw.show()
    print("Ready!")

if __name__ == "__main__":
    if not err:
        app.exec_()
        qw.hide()
    del qw
    del engine
    del app


