# DemoLib.pro
# qmake -o Makefile DemoLib.pro

# Common settings

TEMPLATE = lib
CONFIG += warn_on plugin
CONFIG -= android_install
INCLUDEPATH += .
!CONFIG(debug, release|debug) {
    DEFINES += Py_LIMITED_API=0x03040000
    target.CONFIG = no_check_exist
    INSTALLS += target
}

ARCGIS_RUNTIME_VERSION = 100.2.1
include($$PWD/arcgisruntime.pri)

# Platform-specific settings

win32 {
    DEFINES += _ALLOW_KEYWORD_MACROS
}
macx {
    QMAKE_LFLAGS += "-undefined dynamic_lookup"
}

!CONFIG(debug, release|debug) {
    win32 {
        PY_MODULE = DemoLib.pyd
        target.files = DemoLib.pyd
        target.path = $$(userprofile)/AppData/Local/Programs/Python/Python36/Lib/site-packages/Runtime
        LIBS += -L$$(userprofile)/AppData/Local/Programs/Python/Python36/libs
        QMAKE_POST_LINK = $(COPY_FILE) $(DESTDIR_TARGET) $$PY_MODULE
        INCLUDEPATH += $$(userprofile)/AppData/Local/Programs/Python/Python36/include
    }
    macx {
        PY_MODULE = DemoLib.so
        target.files = DemoLib.so
        target.path = /Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages/Runtime
        QMAKE_POST_LINK = $(COPY_FILE) $(TARGET) $$PY_MODULE $$escape_expand(\n\t)
        QMAKE_POST_LINK  += install_name_tool -change libEsriCommonQt.dylib \"$${SDK_INSTALL_DIR}/sdk/$${PLATFORM}/x64/lib/libEsriCommonQt.dylib\" $$PY_MODULE $$escape_expand(\n\t)
        QMAKE_POST_LINK  += install_name_tool -change libruntimecore.dylib \"$${SDK_INSTALL_DIR}/sdk/$${PLATFORM}/x64/lib/libruntimecore.dylib\" $$PY_MODULE $$escape_expand(\n\t)
        INCLUDEPATH += /Library/Frameworks/Python.framework/Versions/3.6/include/python3.6m
    }
}

# Module-specific settings

QT += core gui opengl network positioning sensors qml quick widgets

TARGET = DemoLib
DEFINES += DEMOLIB_LIBRARY

SOURCES += \
    benchmark.cpp \
    testclass.cpp

HEADERS += \
    benchmark.h \
    demolib_global.h \
    testclass.h

!CONFIG(debug, release|debug) {
    SOURCES += \
        sipDemoLibcmodule.cpp \
        sipDemoLibTestClass.cpp

    HEADERS += \
        sipAPIDemoLib.h
}
