#-------------------------------------------------
#  Copyright 2017 ESRI
#
#  All rights reserved under the copyright laws of the United States
#  and applicable international laws, treaties, and conventions.
#
#  You may freely redistribute and use this sample code, with or
#  without modification, provided you include the original copyright
#  notice and use restrictions.
#
#  See the Sample code usage restrictions document for further information.
#-------------------------------------------------

ESRIRUNTIME_QT_VERSION = 100.2.1
ESRIRUNTIME_QT_MAJOR_VERSION = 100
ESRIRUNTIME_QT_MINOR_VERSION = 2

macx: {
    message("ArcGIS Runtime for Mac ("$$QT_ARCH")")
    PLATFORM = "macOS"
    SDK_INSTALL_DIR = "/Users/mtc/ArcGIS_SDKs/Qt100.2.1"
}

win32 {
    message("ArcGIS Runtime for Windows ("$$QT_ARCH")")
    PLATFORM = "windows"
    SDK_INSTALL_DIR = "C:/Program Files (x86)/ArcGIS SDKs/Qt100.2.1"
}

ARCGIS_RUNTIME_IMPORT_PATH = ""

INCLUDEPATH += "$${SDK_INSTALL_DIR}/sdk/include"

macx {
    QMAKE_CXXFLAGS += -std=c++11
    QMAKE_MACOSX_DEPLOYMENT_TARGET = 10.12

}


macx:{
  LIBS += \
    -L$${SDK_INSTALL_DIR}/sdk/$${PLATFORM}/x64/lib \
    -lEsriCommonQt \
    -lEsriRuntimeQt

  ARCGIS_RUNTIME_IMPORT_PATH = $${SDK_INSTALL_DIR}/sdk/$${PLATFORM}/x64/qml
}

win32:{
  CONFIG(debug, debug|release) {
    BUILD_TYPE = "debug"
    QMAKE_CXXFLAGS += /FS
    QMAKE_LFLAGS += /IGNORE:4099
  }
  else {
    BUILD_TYPE = "release"
  }

  contains(QT_ARCH, x86_64):{
    LIBS +=  \
      -L$${SDK_INSTALL_DIR}/sdk/$${PLATFORM}/x64/bin/$${BUILD_TYPE} \
      -L$${SDK_INSTALL_DIR}/sdk/$${PLATFORM}/x64/lib/$${BUILD_TYPE}

    ARCGIS_RUNTIME_IMPORT_PATH = $${SDK_INSTALL_DIR}/sdk/$${PLATFORM}/x64/qml
  }
  else {
    LIBS +=  \
      -L$${SDK_INSTALL_DIR}/sdk/$${PLATFORM}/x86/bin/$${BUILD_TYPE} \
      -L$${SDK_INSTALL_DIR}/sdk/$${PLATFORM}/x86/lib/$${BUILD_TYPE}

    ARCGIS_RUNTIME_IMPORT_PATH = $${SDK_INSTALL_DIR}/sdk/$${PLATFORM}/x86/qml
  }
  
  CONFIG(debug, debug|release) {
    LIBS += \
      -lEsriCommonQtd \
      -lEsriRuntimeQtd
  } else {
    LIBS += \
      -lEsriCommonQt \
      -lEsriRuntimeQt
  }

  LIBS += \
      Ole32.lib
}
