#ifndef BENCHMARK_H
#define BENCHMARK_H

#include <QObject>
#include <QString>

struct BenchmarkResult
{
    int numVertices;
    double area;
};

class Benchmark : public QObject
{
    Q_OBJECT

public:
    explicit Benchmark(QObject *parent = nullptr);
    ~Benchmark();

signals:
    void status(QString message, bool error);
    void completed(qint64 secondsElapsed);

public slots:
    void start();

private:
    BenchmarkResult generatePolygon();

};

#endif // BENCHMARK_H
