#include "testclass.h"
#include "benchmark.h"

TestClass::TestClass(QObject *parent) : QObject(parent)
{
    _bBusy = false;
}

TestClass::~TestClass()
{
    _thread.quit();
    _thread.wait();
}

void TestClass::runBenchmark()
{
    if (_bBusy)
        return;
    _bBusy = true;
    emit message(QString("Starting benchmark..."), false);
    Benchmark *bm = new Benchmark;
    bm->moveToThread(&_thread);
    connect(&_thread, &QThread::finished, bm, &QObject::deleteLater);
    connect(this, &TestClass::startBenchmark, bm, &Benchmark::start);
    connect(bm, &Benchmark::status, this, &TestClass::handleBenchmarkStatus);
    connect(bm, &Benchmark::completed, this, &TestClass::handleBenchmarkCompleted);
    _thread.start();
    emit startBenchmark();
}

void TestClass::handleBenchmarkStatus(QString msg, bool error)
{
    emit message(msg, error);
}

void TestClass::handleBenchmarkCompleted(qint64 secondsElapsed)
{
    _bBusy = false;
    emit benchmarkCompleted(secondsElapsed);
}
