#ifndef TESTCLASS_H
#define TESTCLASS_H

#include "demolib_global.h"
#include <QObject>
#include <QThread>
#include "benchmark.h"

class DEMOLIBSHARED_EXPORT TestClass : public QObject
{
    Q_OBJECT

private:
    bool _bBusy;
    QThread _thread;

public:
    explicit TestClass(QObject *parent = nullptr);
    ~TestClass();
    void runBenchmark();
signals:
    void message(QString message, bool error);
    void benchmarkCompleted(qint64 secondsElapsed);
// BEGIN: Not exposed to Python
    void startBenchmark();
public slots:
    void handleBenchmarkStatus(QString msg, bool error);
    void handleBenchmarkCompleted(qint64 secondsElapsed);
// END
};

#endif // TESTCLASS_H
