// Copyright 2016 ESRI
//
// All rights reserved under the copyright laws of the United States
// and applicable international laws, treaties, and conventions.
//
// You may freely redistribute and use this sample code, with or
// without modification, provided you include the original copyright
// notice and use restrictions.
//
// See the Sample code usage restrictions document for further information.
//

#ifndef DEMOLIBTEST_H
#define DEMOLIBTEST_H

class TestClass;

#include <QQuickItem>

class DemoLibTest : public QQuickItem
{
    Q_OBJECT

public:
    DemoLibTest(QQuickItem* parent = nullptr);
    ~DemoLibTest();

    void componentComplete() Q_DECL_OVERRIDE;

public slots:
    void runTest();
    void handleMessage(QString message, bool error);
    void handleCompleted(qint64 secondsElapsed);

private:
    bool _bBusy;
    QQuickItem *_lblStatus;
    QQuickItem *_lblComplete;
    TestClass *_tc;
    void status(QString msg, bool error);

};

#endif // DEMOLIBTEST_H
