import QtQuick 2.6
import QtQuick.Controls 1.4
import QtQuick.Controls.Styles 1.4
import QtQuick.Layouts 1.3

ApplicationWindow
{
    width: 800
    height: 600
    title: "QuickUI"

    toolBar: ToolBar
    {
        style: ToolBarStyle
        {
            background: Rectangle
            {
                implicitHeight: 16
                implicitWidth: 200
                color: "lightgreen"
                Rectangle
                {
                    anchors.bottom: parent.bottom
                    width: parent.width
                    height: 1
                    color: "green"
                }
            }
        }

        Component
        {
            id: styleToolButton
            ButtonStyle
            {
                background: Rectangle
                {
                    implicitHeight: 30
                    implicitWidth: 50
                    color: "transparent"
                }
                label: Rectangle
                {
                    implicitHeight: 30
                    implicitWidth: 50
                    gradient: Gradient
                    {
                        GradientStop{position: 0; color: control.pressed ? "#222" : "#888"}
                        GradientStop{position: 1; color: control.pressed ? "#888" : "#222"}
                    }
                    radius: 10
                    Label
                    {
                        anchors.centerIn: parent
                        color: control.enabled ? "white" : "black"
                        text: control.text
                        font.bold: true
                    }
                }
            }
        }

        RowLayout
        {
            anchors.centerIn: parent

            ToolButton
            {
                id: btnSignIn
                objectName: "btnSignIn"
                text: "Sign In"
                style: styleToolButton
                enabled: true
            }

            ToolButton
            {
                id: btnSkip
                objectName: "btnSkip"
                text: "Skip"
                style: styleToolButton
                enabled: true
            }

        }

    }

    Rectangle
    {
        id: mapViewContainer
        objectName: "mapViewContainer"
        anchors.fill: parent
    }

    statusBar: StatusBar
    {
        style: StatusBarStyle
        {
            padding.left: 5
            background: Rectangle
            {
                implicitHeight: 16
                implicitWidth: 200
                gradient: Gradient
                {
                    GradientStop{color: "#fee" ; position: 0}
                    GradientStop{color: "#faa" ; position: 1}
                }
                Rectangle
                {
                    anchors.top: parent.top
                    width: parent.width
                    height: 1
                    color: "red"
                }
            }
        }

        Grid
        {
            anchors.fill: parent
            columns: 2
            spacing: 100

            Label
            {
                id: lblStatus
                width: 100
                objectName: "lblStatus"
                text: "OK"
                color: "blue"
                font.bold: true
            }

            Label
            {
                id: lblScale
                width: 100
                objectName: "lblScale"
                text: "Scale = n/a"
                color: "blue"
                font.bold: true
            }
        }

    }

}
