# Example.pro
# qmake -o Makefile Example.pro

# Common settings

TEMPLATE = lib
CONFIG += warn_on exceptions_off plugin
CONFIG += release
CONFIG -= android_install
target.CONFIG = no_check_exist
INSTALLS += target
#DEFINES += SIP_PROTECTED_IS_PUBLIC protected=public # Causes linker problems
INCLUDEPATH += .
DEFINES += Py_LIMITED_API=0x03040000

# Platform-specific settings

win32 {
    PY_MODULE = Example.pyd
    target.files = Example.pyd
    LIBS += -L$$(userprofile)/AppData/Local/Programs/Python/Python36/libs
    QMAKE_POST_LINK = $(COPY_FILE) $(DESTDIR_TARGET) $$PY_MODULE
    target.path = $$(userprofile)/AppData/Local/Programs/Python/Python36/Lib/site-packages/Runtime

    DEFINES += _ALLOW_KEYWORD_MACROS

    include("C:/Program Files (x86)/ArcGIS SDKs/Qt100.2.1/sdk/ideintegration/arcgis_runtime_qml_cpp.pri")
    # Python include added after Runtime to prevent "Object.h" conflict
    INCLUDEPATH += $$(userprofile)/AppData/Local/Programs/Python/Python36/include
}
macx {
    PY_MODULE = Example.so
    target.files = Example.so
    target.path = /Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages/Runtime
    QMAKE_LFLAGS += "-undefined dynamic_lookup"

    include(../../../../../ArcGIS_SDKs/Qt100.2.1/sdk/ideintegration/arcgis_runtime_qml_cpp.pri)
    # Fix install_name_tool statements
    QMAKE_POST_LINK = $(COPY_FILE) $(TARGET) $$PY_MODULE $$escape_expand(\n\t)
    QMAKE_POST_LINK  += install_name_tool -change libEsriCommonQt.dylib \"$${SDK_INSTALL_DIR}/sdk/$${PLATFORM}/x64/lib/libEsriCommonQt.dylib\" $$PY_MODULE $$escape_expand(\n\t)
    QMAKE_POST_LINK  += install_name_tool -change libruntimecore.dylib \"$${SDK_INSTALL_DIR}/sdk/$${PLATFORM}/x64/lib/libruntimecore.dylib\" $$PY_MODULE $$escape_expand(\n\t)
    # Python include added after Runtime to prevent "Object.h" conflict
    INCLUDEPATH += /Library/Frameworks/Python.framework/Versions/3.6/include/python3.6m
}

# Module-specific settings

QT += core gui network widgets quick

TARGET = Example
HEADERS = sipAPIExample.h
SOURCES = \
    sipExampleEsri.cpp \
    sipExampleEsriArcGISRuntime.cpp \
    sipExampleEsriArcGISRuntimeError.cpp \
    sipExampleEsriArcGISRuntimeObject.cpp \
    sipExampleEsriArcGISRuntimeJsonSerializable.cpp \
    sipExampleEsriArcGISRuntimeExtensionLicense.cpp \
    sipExampleEsriArcGISRuntimeLicense.cpp \
    sipExampleEsriArcGISRuntimeLicenseInfo.cpp \
    sipExampleEsriArcGISRuntimeLicenseResult.cpp \
    sipExampleEsriArcGISRuntimeArcGISRuntimeEnvironment.cpp \
    sipExampleEsriArcGISRuntimeTaskWatcher.cpp \
    sipExampleEsriArcGISRuntimeUnit.cpp \
    sipExampleEsriArcGISRuntimeAngularUnit.cpp \
    sipExampleEsriArcGISRuntimeLinearUnit.cpp \
    sipExampleEsriArcGISRuntimeAreaUnit.cpp \
    sipExampleEsriArcGISRuntimeDatumTransformation.cpp \
    sipExampleEsriArcGISRuntimeSpatialReference.cpp \
    sipExampleEsriArcGISRuntimeGeometry.cpp \
    sipExampleEsriArcGISRuntimeGeometryBuilder.cpp \
    sipExampleEsriArcGISRuntimeEnvelope.cpp \
    sipExampleEsriArcGISRuntimeEnvelopeBuilder.cpp \
    sipExampleEsriArcGISRuntimePoint.cpp \
    sipExampleEsriArcGISRuntimePointBuilder.cpp \
    sipExampleEsriArcGISRuntimePointCollection.cpp \
    sipExampleEsriArcGISRuntimeImmutablePointCollection.cpp \
    sipExampleEsriArcGISRuntimeMultipoint.cpp \
    sipExampleEsriArcGISRuntimeMultipointBuilder.cpp \
    sipExampleEsriArcGISRuntimeSegment.cpp \
    sipExampleEsriArcGISRuntimeLineSegment.cpp \
    sipExampleEsriArcGISRuntimePart.cpp \
    sipExampleEsriArcGISRuntimeImmutablePart.cpp \
    sipExampleEsriArcGISRuntimePartCollection.cpp \
    sipExampleEsriArcGISRuntimeImmutablePartCollection.cpp \
    sipExampleEsriArcGISRuntimeMultipart.cpp \
    sipExampleEsriArcGISRuntimeMultipartBuilder.cpp \
    sipExampleEsriArcGISRuntimePolyline.cpp \
    sipExampleEsriArcGISRuntimePolylineBuilder.cpp \
    sipExampleEsriArcGISRuntimePolygon.cpp \
    sipExampleEsriArcGISRuntimePolygonBuilder.cpp \
    sipExampleEsriArcGISRuntimeProximityResult.cpp \
    sipExampleEsriArcGISRuntimeGeodeticDistanceResult.cpp \
    sipExampleEsriArcGISRuntimeGeodesicEllipseParameters.cpp \
    sipExampleEsriArcGISRuntimeGeodesicSectorParameters.cpp \
    sipExampleEsriArcGISRuntimeGeometryEngine.cpp \
    sipExampleEsriArcGISRuntimeOAuthClientInfo.cpp \
    sipExampleEsriArcGISRuntimeCredential.cpp \
    sipExampleEsriArcGISRuntimeCredentialCache.cpp \
    sipExampleEsriArcGISRuntimeAuthenticationChallenge.cpp \
    sipExampleEsriArcGISRuntimeAuthenticationManager.cpp \
    sipExampleEsriArcGISRuntimeRequestConfiguration.cpp \
    sipExampleEsriArcGISRuntimeRemoteResource.cpp \
    sipExampleEsriArcGISRuntimePortalHelperServices.cpp \
    sipExampleEsriArcGISRuntimePortalInfo.cpp \
    sipExampleEsriArcGISRuntimePortalFolder.cpp \
    sipExampleEsriArcGISRuntimePortalFolderListModel.cpp \
    sipExampleEsriArcGISRuntimePortalPrivilege.cpp \
    sipExampleEsriArcGISRuntimePortalPrivilegeListModel.cpp \
    sipExampleEsriArcGISRuntimeItem.cpp \
    sipExampleEsriArcGISRuntimePortalItemComment.cpp \
    sipExampleEsriArcGISRuntimePortalItemCommentListModel.cpp \
    sipExampleEsriArcGISRuntimePortalGroup.cpp \
    sipExampleEsriArcGISRuntimePortalGroupListModel.cpp \
    sipExampleEsriArcGISRuntimeNetworkRequestProgress.cpp \
    sipExampleEsriArcGISRuntimePortalItem.cpp \
    sipExampleEsriArcGISRuntimePortalItemListModel.cpp \
    sipExampleEsriArcGISRuntimePortalUser.cpp \
    sipExampleEsriArcGISRuntimePortalQueryParameters.cpp \
    sipExampleEsriArcGISRuntimePortalQueryParametersForItems.cpp \
    sipExampleEsriArcGISRuntimePortalQueryParametersForGroups.cpp \
    sipExampleEsriArcGISRuntimePortalResult.cpp \
    sipExampleEsriArcGISRuntimePortalQueryResultSetForItems.cpp \
    sipExampleEsriArcGISRuntimePortalQueryResultSetForGroups.cpp \
    sipExampleEsriArcGISRuntimePortal.cpp \
    sipExampleEsriArcGISRuntimeLoadable.cpp \
    sipExampleEsriArcGISRuntimeLoadSettings.cpp \
    sipExampleEsriArcGISRuntimeCamera.cpp \
    sipExampleEsriArcGISRuntimeViewpoint.cpp \
    sipExampleEsriArcGISRuntimeBasemap.cpp \
    sipExampleEsriArcGISRuntimeBasemapListModel.cpp \
    sipExampleEsriArcGISRuntimeMap.cpp \
    sipExampleEsriArcGISRuntimeGeoView.cpp \
    sipExampleEsriArcGISRuntimeMapView.cpp \
    sipExampleEsriArcGISRuntimeMapGraphicsView.cpp \
    sipExampleEsriArcGISRuntimeMapQuickView.cpp \
    sipExampleQList0100EsriArcGISRuntimeExtensionLicense.cpp \
    sipExampleQList0100EsriArcGISRuntimeGeometry.cpp \
    sipExampleQList0100EsriArcGISRuntimePoint.cpp \
    sipExampleQList0100EsriArcGISRuntimePolygon.cpp \
    sipExampleQList0100EsriArcGISRuntimePortalItemType.cpp \
    sipExampleQList0100EsriArcGISRuntimePortalResult.cpp \
    sipExampleQList0101EsriArcGISRuntimePart.cpp \
    sipExampleQList0101EsriArcGISRuntimePortalItem.cpp \
    sipExampleQMap0100QString0100EsriArcGISRuntimeLicenseStatus.cpp \
    sipExampleQMap0100QString0100QString.cpp \
    sipExamplecmodule.cpp

