# Qt.pro
# qmake -o Makefile Qt.pro

# Common settings

TEMPLATE = lib
CONFIG += warn_on exceptions_off plugin
CONFIG += release
CONFIG -= android_install
target.CONFIG = no_check_exist
INSTALLS += target
#DEFINES += SIP_PROTECTED_IS_PUBLIC protected=public # Causes linker problems
INCLUDEPATH += .
DEFINES += Py_LIMITED_API=0x03040000

# Platform-specific settings

win32 {
    PY_MODULE = Qt.pyd
    target.files = Qt.pyd
    LIBS += -L$$(userprofile)/AppData/Local/Programs/Python/Python36/libs
    QMAKE_POST_LINK = $(COPY_FILE) $(DESTDIR_TARGET) $$PY_MODULE
    target.path = $$(userprofile)/AppData/Local/Programs/Python/Python36/Lib/site-packages/Runtime

    DEFINES += _ALLOW_KEYWORD_MACROS

    include("C:/Program Files (x86)/ArcGIS SDKs/Qt100.2.1/sdk/ideintegration/arcgis_runtime_qml_cpp.pri")
    INCLUDEPATH += $$(userprofile)/AppData/Local/Programs/Python/Python36/include
}
macx {
    PY_MODULE = Qt.so
    target.files = Qt.so
    target.path = /Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages/Runtime
    QMAKE_LFLAGS += "-undefined dynamic_lookup"

    include(../../../../../ArcGIS_SDKs/Qt100.2.1/sdk/ideintegration/arcgis_runtime_qml_cpp.pri)
    QMAKE_POST_LINK = $(COPY_FILE) $(TARGET) $$PY_MODULE $$escape_expand(\n\t)
    QMAKE_POST_LINK  += install_name_tool -change libEsriCommonQt.dylib \"$${SDK_INSTALL_DIR}/sdk/$${PLATFORM}/x64/lib/libEsriCommonQt.dylib\" $$PY_MODULE $$escape_expand(\n\t)
    QMAKE_POST_LINK  += install_name_tool -change libruntimecore.dylib \"$${SDK_INSTALL_DIR}/sdk/$${PLATFORM}/x64/lib/libruntimecore.dylib\" $$PY_MODULE $$escape_expand(\n\t)
    INCLUDEPATH += /Library/Frameworks/Python.framework/Versions/3.6/include/python3.6m
}

# Module-specific settings

QT += core gui network positioning sensors widgets quick

TARGET = Qt
HEADERS = sipAPIQt.h
SOURCES = \
    sipQtEsri.cpp \
    sipQtEsriArcGISRuntime.cpp \
    sipQtEsriArcGISRuntimeError.cpp \
    sipQtEsriArcGISRuntimeObject.cpp \
    sipQtEsriArcGISRuntimeJsonSerializable.cpp \
    sipQtEsriArcGISRuntimeExtensionLicense.cpp \
    sipQtEsriArcGISRuntimeLicense.cpp \
    sipQtEsriArcGISRuntimeLicenseInfo.cpp \
    sipQtEsriArcGISRuntimeLicenseResult.cpp \
    sipQtEsriArcGISRuntimeArcGISRuntimeEnvironment.cpp \
    sipQtEsriArcGISRuntimeTaskWatcher.cpp \
    sipQtEsriArcGISRuntimeUnit.cpp \
    sipQtEsriArcGISRuntimeAngularUnit.cpp \
    sipQtEsriArcGISRuntimeLinearUnit.cpp \
    sipQtEsriArcGISRuntimeAreaUnit.cpp \
    sipQtEsriArcGISRuntimeDatumTransformation.cpp \
    sipQtEsriArcGISRuntimeSpatialReference.cpp \
    sipQtEsriArcGISRuntimeGeometry.cpp \
    sipQtEsriArcGISRuntimeGeometryBuilder.cpp \
    sipQtEsriArcGISRuntimeEnvelope.cpp \
    sipQtEsriArcGISRuntimeEnvelopeBuilder.cpp \
    sipQtEsriArcGISRuntimePoint.cpp \
    sipQtEsriArcGISRuntimePointBuilder.cpp \
    sipQtEsriArcGISRuntimePointCollection.cpp \
    sipQtEsriArcGISRuntimeImmutablePointCollection.cpp \
    sipQtEsriArcGISRuntimeMultipoint.cpp \
    sipQtEsriArcGISRuntimeMultipointBuilder.cpp \
    sipQtEsriArcGISRuntimeSegment.cpp \
    sipQtEsriArcGISRuntimeLineSegment.cpp \
    sipQtEsriArcGISRuntimePart.cpp \
    sipQtEsriArcGISRuntimeImmutablePart.cpp \
    sipQtEsriArcGISRuntimePartCollection.cpp \
    sipQtEsriArcGISRuntimeImmutablePartCollection.cpp \
    sipQtEsriArcGISRuntimeMultipart.cpp \
    sipQtEsriArcGISRuntimeMultipartBuilder.cpp \
    sipQtEsriArcGISRuntimePolyline.cpp \
    sipQtEsriArcGISRuntimePolylineBuilder.cpp \
    sipQtEsriArcGISRuntimePolygon.cpp \
    sipQtEsriArcGISRuntimePolygonBuilder.cpp \
    sipQtEsriArcGISRuntimeProximityResult.cpp \
    sipQtEsriArcGISRuntimeGeodeticDistanceResult.cpp \
    sipQtEsriArcGISRuntimeGeodesicEllipseParameters.cpp \
    sipQtEsriArcGISRuntimeGeodesicSectorParameters.cpp \
    sipQtEsriArcGISRuntimeGeometryEngine.cpp \
    sipQtEsriArcGISRuntimeOAuthClientInfo.cpp \
    sipQtEsriArcGISRuntimeCredential.cpp \
    sipQtEsriArcGISRuntimeCredentialCache.cpp \
    sipQtEsriArcGISRuntimeAuthenticationChallenge.cpp \
    sipQtEsriArcGISRuntimeAuthenticationManager.cpp \
    sipQtEsriArcGISRuntimeRequestConfiguration.cpp \
    sipQtEsriArcGISRuntimeRemoteResource.cpp \
    sipQtEsriArcGISRuntimePortalHelperServices.cpp \
    sipQtEsriArcGISRuntimePortalInfo.cpp \
    sipQtEsriArcGISRuntimePortalFolder.cpp \
    sipQtEsriArcGISRuntimePortalFolderListModel.cpp \
    sipQtEsriArcGISRuntimePortalPrivilege.cpp \
    sipQtEsriArcGISRuntimePortalPrivilegeListModel.cpp \
    sipQtEsriArcGISRuntimeItem.cpp \
    sipQtEsriArcGISRuntimeLocalItem.cpp \
    sipQtEsriArcGISRuntimeItemResourceCache.cpp \
    sipQtEsriArcGISRuntimePortalItemComment.cpp \
    sipQtEsriArcGISRuntimePortalItemCommentListModel.cpp \
    sipQtEsriArcGISRuntimePortalGroup.cpp \
    sipQtEsriArcGISRuntimePortalGroupListModel.cpp \
    sipQtEsriArcGISRuntimeNetworkRequestProgress.cpp \
    sipQtEsriArcGISRuntimePortalItem.cpp \
    sipQtEsriArcGISRuntimePortalItemListModel.cpp \
    sipQtEsriArcGISRuntimePortalUser.cpp \
    sipQtEsriArcGISRuntimePortalQueryParameters.cpp \
    sipQtEsriArcGISRuntimePortalQueryParametersForItems.cpp \
    sipQtEsriArcGISRuntimePortalQueryParametersForGroups.cpp \
    sipQtEsriArcGISRuntimePortalResult.cpp \
    sipQtEsriArcGISRuntimePortalQueryResultSetForItems.cpp \
    sipQtEsriArcGISRuntimePortalQueryResultSetForGroups.cpp \
    sipQtEsriArcGISRuntimePortal.cpp \
    sipQtEsriArcGISRuntimeFeatureServiceCapabilities.cpp \
    sipQtEsriArcGISRuntimeLabelingInfo.cpp \
    sipQtEsriArcGISRuntimeDrawingInfo.cpp \
    sipQtEsriArcGISRuntimeEditFieldsInfo.cpp \
    sipQtEsriArcGISRuntimeOwnershipBasedAccessControlInfo.cpp \
    sipQtEsriArcGISRuntimeTimeReference.cpp \
    sipQtEsriArcGISRuntimeLayerTimeInfo.cpp \
    sipQtEsriArcGISRuntimeArcGISFeatureLayerInfo.cpp \
    sipQtEsriArcGISRuntimeServiceDocumentInfo.cpp \
    sipQtEsriArcGISRuntimeEditorTrackingInfo.cpp \
    sipQtEsriArcGISRuntimeIdInfo.cpp \
    sipQtEsriArcGISRuntimeSyncCapabilities.cpp \
    sipQtEsriArcGISRuntimeArcGISFeatureServiceInfo.cpp \
    sipQtEsriArcGISRuntimeMapServiceCapabilities.cpp \
    sipQtEsriArcGISRuntimeArcGISMapServiceSublayerInfo.cpp \
    sipQtEsriArcGISRuntimeServiceTimeInfo.cpp \
    sipQtEsriArcGISRuntimeLevelOfDetail.cpp \
    sipQtEsriArcGISRuntimeTileInfo.cpp \
    sipQtEsriArcGISRuntimeArcGISMapServiceInfo.cpp \
    sipQtEsriArcGISRuntimeRenderingRuleInfo.cpp \
    sipQtEsriArcGISRuntimeRenderingRule.cpp \
    sipQtEsriArcGISRuntimeArcGISImageServiceInfo.cpp \
    sipQtEsriArcGISRuntimeWmsLayerInfo.cpp \
    sipQtEsriArcGISRuntimeWmsServiceInfo.cpp \
    sipQtEsriArcGISRuntimeWmsService.cpp \
    sipQtEsriArcGISRuntimeWmtsTileMatrix.cpp \
    sipQtEsriArcGISRuntimeWmtsTileMatrixSet.cpp \
    sipQtEsriArcGISRuntimeWmtsLayerInfo.cpp \
    sipQtEsriArcGISRuntimeWmtsServiceInfo.cpp \
    sipQtEsriArcGISRuntimeWmtsService.cpp \
    sipQtEsriArcGISRuntimeSuggestParameters.cpp \
    sipQtEsriArcGISRuntimeSuggestResult.cpp \
    sipQtEsriArcGISRuntimeSuggestListModel.cpp \
    sipQtEsriArcGISRuntimeGeocodeParameters.cpp \
    sipQtEsriArcGISRuntimeReverseGeocodeParameters.cpp \
    sipQtEsriArcGISRuntimeGeocodeResult.cpp \
    sipQtEsriArcGISRuntimeLocatorAttribute.cpp \
    sipQtEsriArcGISRuntimeLocatorInfo.cpp \
    sipQtEsriArcGISRuntimeLocatorTask.cpp \
    sipQtEsriArcGISRuntimeAttributeListModel.cpp \
    sipQtEsriArcGISRuntimeGeoElement.cpp \
    sipQtEsriArcGISRuntimeDomain.cpp \
    sipQtEsriArcGISRuntimeCodedValue.cpp \
    sipQtEsriArcGISRuntimeCodedValueDomain.cpp \
    sipQtEsriArcGISRuntimeRangeDomain.cpp \
    sipQtEsriArcGISRuntimeInheritedDomain.cpp \
    sipQtEsriArcGISRuntimeField.cpp \
    sipQtEsriArcGISRuntimeRelationshipInfo.cpp \
    sipQtEsriArcGISRuntimeAttachment.cpp \
    sipQtEsriArcGISRuntimeAttachmentListModel.cpp \
    sipQtEsriArcGISRuntimeFeature.cpp \
    sipQtEsriArcGISRuntimeArcGISFeature.cpp \
    sipQtEsriArcGISRuntimeFeatureIterator.cpp \
    sipQtEsriArcGISRuntimeFeatureSet.cpp \
    sipQtEsriArcGISRuntimeOrderBy.cpp \
    sipQtEsriArcGISRuntimeQueryParameters.cpp \
    sipQtEsriArcGISRuntimeFeatureQueryResult.cpp \
    sipQtEsriArcGISRuntimeEditResult.cpp \
    sipQtEsriArcGISRuntimeFeatureEditResult.cpp \
    sipQtEsriArcGISRuntimeStatisticDefinition.cpp \
    sipQtEsriArcGISRuntimeStatisticRecord.cpp \
    sipQtEsriArcGISRuntimeStatisticRecordIterator.cpp \
    sipQtEsriArcGISRuntimeStatisticsQueryParameters.cpp \
    sipQtEsriArcGISRuntimeStatisticsQueryResult.cpp \
    sipQtEsriArcGISRuntimeFeatureTable.cpp \
    sipQtEsriArcGISRuntimeFeatureTableListModel.cpp \
    sipQtEsriArcGISRuntimeFeatureTemplate.cpp \
    sipQtEsriArcGISRuntimeFeatureType.cpp \
    sipQtEsriArcGISRuntimeRelatedQueryParameters.cpp \
    sipQtEsriArcGISRuntimeRelatedFeatureQueryResult.cpp \
    sipQtEsriArcGISRuntimeArcGISFeatureTable.cpp \
    sipQtEsriArcGISRuntimeServiceFeatureTable.cpp \
    sipQtEsriArcGISRuntimeGeodatabaseFeatureTable.cpp \
    sipQtEsriArcGISRuntimeGeodatabaseDataset.cpp \
    sipQtEsriArcGISRuntimeTransportationNetworkDataset.cpp \
    sipQtEsriArcGISRuntimeGeodatabase.cpp \
    sipQtEsriArcGISRuntimeRasterFunctionArguments.cpp \
    sipQtEsriArcGISRuntimeRasterFunction.cpp \
    sipQtEsriArcGISRuntimeRaster.cpp \
    sipQtEsriArcGISRuntimeGeoPackageFeatureTable.cpp \
    sipQtEsriArcGISRuntimeGeoPackageRaster.cpp \
    sipQtEsriArcGISRuntimeGeoPackage.cpp \
    sipQtEsriArcGISRuntimeFeatureCollection.cpp \
    sipQtEsriArcGISRuntimeFeatureCollectionTable.cpp \
    sipQtEsriArcGISRuntimeFeatureCollectionTableListModel.cpp \
    sipQtEsriArcGISRuntimeAddRastersParameters.cpp \
    sipQtEsriArcGISRuntimeMosaicDatasetRaster.cpp \
    sipQtEsriArcGISRuntimeImageServiceRaster.cpp \
    sipQtEsriArcGISRuntimeShapefileInfo.cpp \
    sipQtEsriArcGISRuntimeShapefileFeatureTable.cpp \
    sipQtEsriArcGISRuntimeSymbol.cpp \
    sipQtEsriArcGISRuntimeSymbolListModel.cpp \
    sipQtEsriArcGISRuntimeSymbolStyleSearchParameters.cpp \
    sipQtEsriArcGISRuntimeSymbolStyleSearchResult.cpp \
    sipQtEsriArcGISRuntimeSymbolStyleSearchResultListModel.cpp \
    sipQtEsriArcGISRuntimeSymbolStyle.cpp \
    sipQtEsriArcGISRuntimeDictionarySymbolStyle.cpp \
    sipQtEsriArcGISRuntimeMultilayerSymbol.cpp \
    sipQtEsriArcGISRuntimeCompositeSymbol.cpp \
    sipQtEsriArcGISRuntimeLineSymbol.cpp \
    sipQtEsriArcGISRuntimeSimpleLineSymbol.cpp \
    sipQtEsriArcGISRuntimeMarkerSymbol.cpp \
    sipQtEsriArcGISRuntimeSimpleMarkerSymbol.cpp \
    sipQtEsriArcGISRuntimePictureMarkerSymbol.cpp \
    sipQtEsriArcGISRuntimeTextSymbol.cpp \
    sipQtEsriArcGISRuntimeFillSymbol.cpp \
    sipQtEsriArcGISRuntimeSimpleFillSymbol.cpp \
    sipQtEsriArcGISRuntimePictureFillSymbol.cpp \
    sipQtEsriArcGISRuntimeGraphic.cpp \
    sipQtEsriArcGISRuntimeGraphicListModel.cpp \
    sipQtEsriArcGISRuntimeRenderer.cpp \
    sipQtEsriArcGISRuntimeSimpleRenderer.cpp \
    sipQtEsriArcGISRuntimeUniqueValue.cpp \
    sipQtEsriArcGISRuntimeUniqueValueListModel.cpp \
    sipQtEsriArcGISRuntimeUniqueValueRenderer.cpp \
    sipQtEsriArcGISRuntimeClassBreak.cpp \
    sipQtEsriArcGISRuntimeClassBreakListModel.cpp \
    sipQtEsriArcGISRuntimeClassBreaksRenderer.cpp \
    sipQtEsriArcGISRuntimeHeatmapRenderer.cpp \
    sipQtEsriArcGISRuntimeDictionaryRenderer.cpp \
    sipQtEsriArcGISRuntimeColorRamp.cpp \
    sipQtEsriArcGISRuntimeStretchParameters.cpp \
    sipQtEsriArcGISRuntimeHistogramEqualizationStretchParameters.cpp \
    sipQtEsriArcGISRuntimeMinMaxStretchParameters.cpp \
    sipQtEsriArcGISRuntimePercentClipStretchParameters.cpp \
    sipQtEsriArcGISRuntimeStandardDeviationStretchParameters.cpp \
    sipQtEsriArcGISRuntimeRasterRenderer.cpp \
    sipQtEsriArcGISRuntimeBaseStretchRenderer.cpp \
    sipQtEsriArcGISRuntimeStretchRenderer.cpp \
    sipQtEsriArcGISRuntimeRGBRenderer.cpp \
    sipQtEsriArcGISRuntimeLoadable.cpp \
    sipQtEsriArcGISRuntimeLoadSettings.cpp \
    sipQtEsriArcGISRuntimeCamera.cpp \
    sipQtEsriArcGISRuntimeViewpoint.cpp \
    sipQtEsriArcGISRuntimeBookmark.cpp \
    sipQtEsriArcGISRuntimeBookmarkListModel.cpp \
    sipQtEsriArcGISRuntimeBasemap.cpp \
    sipQtEsriArcGISRuntimeBasemapListModel.cpp \
    sipQtEsriArcGISRuntimeLegendInfo.cpp \
    sipQtEsriArcGISRuntimeLegendInfoListModel.cpp \
    sipQtEsriArcGISRuntimeLayerContent.cpp \
    sipQtEsriArcGISRuntimeSublayerSource.cpp \
    sipQtEsriArcGISRuntimeLabelDefinition.cpp \
    sipQtEsriArcGISRuntimeLabelDefinitionListModel.cpp \
    sipQtEsriArcGISRuntimeArcGISSublayer.cpp \
    sipQtEsriArcGISRuntimeArcGISSublayerListModel.cpp \
    sipQtEsriArcGISRuntimeArcGISMapImageSublayer.cpp \
    sipQtEsriArcGISRuntimeArcGISTiledSublayer.cpp \
    sipQtEsriArcGISRuntimeLayerSceneProperties.cpp \
    sipQtEsriArcGISRuntimeVectorTileStyle.cpp \
    sipQtEsriArcGISRuntimeVectorTileSourceInfo.cpp \
    sipQtEsriArcGISRuntimeTileKey.cpp \
    sipQtEsriArcGISRuntimeTileCache.cpp \
    sipQtEsriArcGISRuntimeVectorTileCache.cpp \
    sipQtEsriArcGISRuntimeLayer.cpp \
    sipQtEsriArcGISRuntimeLayerListModel.cpp \
    sipQtEsriArcGISRuntimeFeatureLayer.cpp \
    sipQtEsriArcGISRuntimeFeatureCollectionLayer.cpp \
    sipQtEsriArcGISRuntimeMobileBasemapLayer.cpp \
    sipQtEsriArcGISRuntimeArcGISVectorTiledLayer.cpp \
    sipQtEsriArcGISRuntimeArcGISSceneLayer.cpp \
    sipQtEsriArcGISRuntimeImageAdjustmentLayer.cpp \
    sipQtEsriArcGISRuntimeUnknownLayer.cpp \
    sipQtEsriArcGISRuntimeUnsupportedLayer.cpp \
    sipQtEsriArcGISRuntimeImageTiledLayer.cpp \
    sipQtEsriArcGISRuntimeArcGISTiledLayer.cpp \
    sipQtEsriArcGISRuntimeServiceImageTiledLayer.cpp \
    sipQtEsriArcGISRuntimeWebTiledLayer.cpp \
    sipQtEsriArcGISRuntimeArcGISMapImageLayer.cpp \
    sipQtEsriArcGISRuntimeRasterLayer.cpp \
    sipQtEsriArcGISRuntimeBingMapsLayer.cpp \
    sipQtEsriArcGISRuntimeOpenStreetMapLayer.cpp \
    sipQtEsriArcGISRuntimeWmsSublayer.cpp \
    sipQtEsriArcGISRuntimeWmsLayer.cpp \
    sipQtEsriArcGISRuntimeWmtsLayer.cpp \
    sipQtEsriArcGISRuntimeMap.cpp \
    sipQtEsriArcGISRuntimeMobileMapPackage.cpp \
    sipQtEsriArcGISRuntimeElevationSource.cpp \
    sipQtEsriArcGISRuntimeElevationSourceListModel.cpp \
    sipQtEsriArcGISRuntimeArcGISTiledElevationSource.cpp \
    sipQtEsriArcGISRuntimeSurface.cpp \
    sipQtEsriArcGISRuntimeScene.cpp \
    sipQtEsriArcGISRuntimeLayerViewState.cpp \
    sipQtEsriArcGISRuntimePopupFieldFormat.cpp \
    sipQtEsriArcGISRuntimePopupField.cpp \
    sipQtEsriArcGISRuntimePopupMediaValue.cpp \
    sipQtEsriArcGISRuntimePopupMedia.cpp \
    sipQtEsriArcGISRuntimePopupRelatedFeaturesSortOrder.cpp \
    sipQtEsriArcGISRuntimePopupRelatedFeaturesDefinition.cpp \
    sipQtEsriArcGISRuntimePopupDefinition.cpp \
    sipQtEsriArcGISRuntimePopupSource.cpp \
    sipQtEsriArcGISRuntimePopup.cpp \
    sipQtEsriArcGISRuntimeGraphicsOverlay.cpp \
    sipQtEsriArcGISRuntimeGraphicsOverlayListModel.cpp \
    sipQtEsriArcGISRuntimeIdentifyGraphicsOverlayResult.cpp \
    sipQtEsriArcGISRuntimeIdentifyLayerResult.cpp \
    sipQtEsriArcGISRuntimeViewInsets.cpp \
    sipQtEsriArcGISRuntimeGeoView.cpp \
    sipQtEsriArcGISRuntimeBackgroundGrid.cpp \
    sipQtEsriArcGISRuntimeViewLabelProperties.cpp \
    sipQtEsriArcGISRuntimeLocation.cpp \
    sipQtEsriArcGISRuntimeLocationDisplay.cpp \
    sipQtEsriArcGISRuntimeCalloutData.cpp \
    sipQtEsriArcGISRuntimeGrid.cpp \
    sipQtEsriArcGISRuntimeLatitudeLongitudeGrid.cpp \
    sipQtEsriArcGISRuntimeMGRSGrid.cpp \
    sipQtEsriArcGISRuntimeUSNGGrid.cpp \
    sipQtEsriArcGISRuntimeUTMGrid.cpp \
    sipQtEsriArcGISRuntimeMapView.cpp \
    sipQtEsriArcGISRuntimeMapGraphicsView.cpp \
    sipQtEsriArcGISRuntimeMapQuickView.cpp \
    sipQtEsriArcGISRuntimeCameraController.cpp \
    sipQtEsriArcGISRuntimeLocationToScreenResult.cpp \
    sipQtEsriArcGISRuntimeAnalysis.cpp \
    sipQtEsriArcGISRuntimeLineOfSight.cpp \
    sipQtEsriArcGISRuntimeLocationLineOfSight.cpp \
    sipQtEsriArcGISRuntimeGeoElementLineOfSight.cpp \
    sipQtEsriArcGISRuntimeAnalysisListModel.cpp \
    sipQtEsriArcGISRuntimeAnalysisOverlay.cpp \
    sipQtEsriArcGISRuntimeAnalysisOverlayListModel.cpp \
    sipQtEsriArcGISRuntimeSceneView.cpp \
    sipQtEsriArcGISRuntimeSceneGraphicsView.cpp \
    sipQtEsriArcGISRuntimeSceneQuickView.cpp \
    sipQtQList0100EsriArcGISRuntimeCodedValue.cpp \
    sipQtQList0100EsriArcGISRuntimeExtensionLicense.cpp \
    sipQtQList0100EsriArcGISRuntimeFeatureTemplate.cpp \
    sipQtQList0100EsriArcGISRuntimeFeatureType.cpp \
    sipQtQList0100EsriArcGISRuntimeField.cpp \
    sipQtQList0100EsriArcGISRuntimeGeocodeResult.cpp \
    sipQtQList0100EsriArcGISRuntimeGeometry.cpp \
    sipQtQList0100EsriArcGISRuntimeIdInfo.cpp \
    sipQtQList0100EsriArcGISRuntimeLabelingInfo.cpp \
    sipQtQList0100EsriArcGISRuntimeLevelOfDetail.cpp \
    sipQtQList0100EsriArcGISRuntimeLocatorAttribute.cpp \
    sipQtQList0100EsriArcGISRuntimeMapServiceImageFormat.cpp \
    sipQtQList0100EsriArcGISRuntimeOrderBy.cpp \
    sipQtQList0100EsriArcGISRuntimePoint.cpp \
    sipQtQList0100EsriArcGISRuntimePolygon.cpp \
    sipQtQList0100EsriArcGISRuntimePopupRelatedFeaturesSortOrder.cpp \
    sipQtQList0100EsriArcGISRuntimePortalItemType.cpp \
    sipQtQList0100EsriArcGISRuntimePortalResult.cpp \
    sipQtQList0100EsriArcGISRuntimeRelationshipInfo.cpp \
    sipQtQList0100EsriArcGISRuntimeRenderingRuleInfo.cpp \
    sipQtQList0100EsriArcGISRuntimeSpatialReference.cpp \
    sipQtQList0100EsriArcGISRuntimeStatisticDefinition.cpp \
    sipQtQList0100EsriArcGISRuntimeSuggestResult.cpp \
    sipQtQList0100EsriArcGISRuntimeSymbolStyleSearchResult.cpp \
    sipQtQList0100EsriArcGISRuntimeTileImageFormat.cpp \
    sipQtQList0100EsriArcGISRuntimeWmsLayerInfo.cpp \
    sipQtQList0100EsriArcGISRuntimeWmtsLayerInfo.cpp \
    sipQtQList0100EsriArcGISRuntimeWmtsTileMatrix.cpp \
    sipQtQList0100EsriArcGISRuntimeWmtsTileMatrixSet.cpp \
    sipQtQList0100qint64.cpp \
    sipQtQList0101EsriArcGISRuntimeArcGISFeatureTable.cpp \
    sipQtQList0101EsriArcGISRuntimeArcGISSublayer.cpp \
    sipQtQList0101EsriArcGISRuntimeAttachment.cpp \
    sipQtQList0101EsriArcGISRuntimeClassBreak.cpp \
    sipQtQList0101EsriArcGISRuntimeEditResult.cpp \
    sipQtQList0101EsriArcGISRuntimeElevationSource.cpp \
    sipQtQList0101EsriArcGISRuntimeFeature.cpp \
    sipQtQList0101EsriArcGISRuntimeFeatureCollectionTable.cpp \
    sipQtQList0101EsriArcGISRuntimeFeatureEditResult.cpp \
    sipQtQList0101EsriArcGISRuntimeGeoElement.cpp \
    sipQtQList0101EsriArcGISRuntimeGeoPackageFeatureTable.cpp \
    sipQtQList0101EsriArcGISRuntimeGeoPackageRaster.cpp \
    sipQtQList0101EsriArcGISRuntimeGeodatabaseFeatureTable.cpp \
    sipQtQList0101EsriArcGISRuntimeGraphic.cpp \
    sipQtQList0101EsriArcGISRuntimeIdentifyGraphicsOverlayResult.cpp \
    sipQtQList0101EsriArcGISRuntimeIdentifyLayerResult.cpp \
    sipQtQList0101EsriArcGISRuntimeLayer.cpp \
    sipQtQList0101EsriArcGISRuntimeLayerContent.cpp \
    sipQtQList0101EsriArcGISRuntimeMap.cpp \
    sipQtQList0101EsriArcGISRuntimePart.cpp \
    sipQtQList0101EsriArcGISRuntimePopup.cpp \
    sipQtQList0101EsriArcGISRuntimePopupField.cpp \
    sipQtQList0101EsriArcGISRuntimePopupMedia.cpp \
    sipQtQList0101EsriArcGISRuntimePortalItem.cpp \
    sipQtQList0101EsriArcGISRuntimeRelatedFeatureQueryResult.cpp \
    sipQtQList0101EsriArcGISRuntimeStatisticRecord.cpp \
    sipQtQList0101EsriArcGISRuntimeSymbol.cpp \
    sipQtQList0101EsriArcGISRuntimeTransportationNetworkDataset.cpp \
    sipQtQList0101EsriArcGISRuntimeUniqueValue.cpp \
    sipQtQList0101EsriArcGISRuntimeWmsSublayer.cpp \
    sipQtQMap0100QString0100EsriArcGISRuntimeDomain.cpp \
    sipQtQMap0100QString0100EsriArcGISRuntimeLicenseStatus.cpp \
    sipQtQMap0100QString0100QString.cpp \
    sipQtcmodule.cpp

